summaryrefslogtreecommitdiffstats
path: root/mail/ecartis/pkg-install
diff options
context:
space:
mode:
authorgreid <greid@FreeBSD.org>2002-01-21 14:46:17 +0000
committergreid <greid@FreeBSD.org>2002-01-21 14:46:17 +0000
commit8e0c6de8ee8d68f8dc516473d4c164397417336b (patch)
treef64a8a50fa71931c80f80230045c4be635bb37c9 /mail/ecartis/pkg-install
parent3dfcbbb16246e738bb390df0ff021df50c4f71f8 (diff)
downloadFreeBSD-ports-8e0c6de8ee8d68f8dc516473d4c164397417336b.zip
FreeBSD-ports-8e0c6de8ee8d68f8dc516473d4c164397417336b.tar.gz
Add ecartis 1.0.0b, the Ecartis Listserver \ Mailing List Manager.
This replaces the mail/listar port, which is currently FORBIDDEN due to a remote exploit. PR: 34087 Submitted by: Trish Lynch <trish@bsdunix.net>
Diffstat (limited to 'mail/ecartis/pkg-install')
-rw-r--r--mail/ecartis/pkg-install63
1 files changed, 63 insertions, 0 deletions
diff --git a/mail/ecartis/pkg-install b/mail/ecartis/pkg-install
new file mode 100644
index 0000000..760c03d
--- /dev/null
+++ b/mail/ecartis/pkg-install
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+user=ecartis
+group=ecartis
+
+ask() {
+ local question default answer
+
+ question=$1
+ default=$2
+ if [ -z "${PACKAGE_BUILDING}" ]; then
+ read -p "${question} [${default}]? " answer
+ fi
+ if [ x${answer} = x ]; then
+ answer=${default}
+ fi
+ echo ${answer}
+}
+
+yesno() {
+ local dflt question answer
+
+ question=$1
+ dflt=$2
+ while :; do
+ answer=$(ask "${question}" "${dflt}")
+ case "${answer}" in
+ [Yy]*) return 0;;
+ [Nn]*) return 1;;
+ esac
+ echo "Please answer yes or no."
+ done
+}
+
+if [ x"$2" = xPRE-INSTALL ]; then
+ if pw groupshow "${group}" 2>/dev/null; then
+ echo "You already have a group \"${group}\", so I will use it."
+ else
+ echo "You need a group \"${group}\"."
+ if yesno "Would you like me to create it" y; then
+ pw groupadd ${group} -h - || exit
+ echo "Done."
+ else
+ echo "Please create it, and try again."
+ exit 1
+ fi
+ fi
+
+ if pw user show "${user}" 2>/dev/null; then
+ echo "You already have a user \"${user}\", so I will use it."
+ else
+ echo "You need a user \"${user}\"."
+ if yesno "Would you like me to create it" y; then
+ pw useradd ${user} -g ${group} -h - -d /nonexistent \
+ -s /nonexistent -c "Listar Listserver" || exit
+ echo "Done."
+ else
+ echo "Please create it, and try again."
+ exit 1
+ fi
+ fi
+
+fi
OpenPOWER on IntegriCloud